Skip to content

Send a failed reply again

POST
/products/{productId}/ticket-replies/{messageId}/retry
curl --request POST \
--url https://api.motenya.app/v1/products/example/ticket-replies/example/retry \
--header 'Authorization: Bearer <token>'

Requires tickets:write.

productId
required
string
>= 1 characters <= 64 characters
messageId
required
string
>= 1 characters <= 64 characters

Success

Media typeapplication/json

REPLY adds sendState and sendError; EVENT adds change, merge and automatedReason.

object
id
required
string
>= 1 characters <= 64 characters
kind
required
string
Allowed values: CUSTOMER REPLY NOTE EVENT
fromAddress
required
string | null
fromName
required
string | null
authorUserId
required

The teammate, or apikey:<id> for a key.

string | null
subject
required
string | null
bodyText
required
string | null
bodyHtml
required
string | null
attachments
required
Array<object>
object
id
required
string
>= 1 characters <= 64 characters
filename
required
string | null
contentType
required
string
size
required
integer
key
additional properties
createdAt
required
string
key
additional properties

Example

{
"kind": "CUSTOMER"
}

Invalid request

Media typeapplication/json
object
error
required
object
code
required
string
message
required
string
field
string
details
Array<object>
object
code
required
string
message
required
string
field
string

Example

{
"error": {
"code": "SLUG_TAKEN"
}
}

Missing, invalid, revoked or expired API key

Media typeapplication/json
object
error
required
object
code
required
string
message
required
string
field
string
details
Array<object>
object
code
required
string
message
required
string
field
string

Example

{
"error": {
"code": "SLUG_TAKEN"
}
}

Missing scope, API turned off, published article without publish scope, or account suspended

Media typeapplication/json
object
error
required
object
code
required
string
message
required
string
field
string
details
Array<object>
object
code
required
string
message
required
string
field
string

Example

{
"error": {
"code": "SLUG_TAKEN"
}
}

Not found, or outside the knowledge bases this key may use

Media typeapplication/json
object
error
required
object
code
required
string
message
required
string
field
string
details
Array<object>
object
code
required
string
message
required
string
field
string

Example

{
"error": {
"code": "SLUG_TAKEN"
}
}

Slug or translation already exists

Media typeapplication/json
object
error
required
object
code
required
string
message
required
string
field
string
details
Array<object>
object
code
required
string
message
required
string
field
string

Example

{
"error": {
"code": "SLUG_TAKEN"
}
}

Rejected by validation (e.g. unknown language or category)

Media typeapplication/json
object
error
required
object
code
required
string
message
required
string
field
string
details
Array<object>
object
code
required
string
message
required
string
field
string

Example

{
"error": {
"code": "SLUG_TAKEN"
}
}

Rate limited; see Retry-After

Media typeapplication/json
object
error
required
object
code
required
string
message
required
string
field
string
details
Array<object>
object
code
required
string
message
required
string
field
string

Example

{
"error": {
"code": "SLUG_TAKEN"
}
}

Internal error